Skip to main content
GET
/
api
/
v1
/
reports
/
store-performance
Store performance
curl --request GET \
  --url https://shelfforce.ai/api/v1/reports/store-performance \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "stores": [
      {
        "placeId": "<string>",
        "placeName": "<string>",
        "taskCount": 123,
        "completedTasks": 123,
        "completionRate": 50,
        "avgComplianceScore": 50
      }
    ],
    "periodDays": 123,
    "periodStart": "2023-11-07T05:31:56Z",
    "periodEnd": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Query Parameters

days
integer
default:30

Lookback period in days (default 30).

Required range: 1 <= x <= 365
Example:

30

projectId
string

Filter by project ID.

Example:

"prj_def456"

storeId
string

Filter to a single store (place ID).

Example:

"pl_abc123"

Response

Store performance report.

data
object
required